FROM node:lts-alpine AS builder

WORKDIR /app

RUN corepack enable
RUN yarn set version stable

COPY package.json yarn.lock .yarnrc.yml ./

RUN yarn install
COPY . .

ARG COMMIT_SHA=unknown
ENV COMMIT_SHA=$COMMIT_SHA

RUN yarn generate

FROM nginx:stable-alpine

COPY --from=builder /app/.output/public /usr/share/nginx/html

EXPOSE 80

CMD ["nginx", "-g", "daemon off;"]